From: Jakub Jirutka <jakub@jirutka.cz>
Date: Sat, 7 Mar 2020 22:30:30 +0100
Subject: [PATCH] Remove Windows-only stuff and fix default paths

diff --git a/open-vm-tools/tools.conf b/open-vm-tools/tools.conf
--- a/open-vm-tools/tools.conf
+++ b/open-vm-tools/tools.conf
@@ -67,10 +67,7 @@
 
 # Log destinations for various services
 # By default, logs go to
-# %windir%/temp/vmware-<servicename>.log
-# for Windows, and
-# /var/log/vmware-<servicename>-<username>.log
-# for Linux, MacOS and Solaris.
+# /var/log/vmware/<servicename>-<username>.log
 
 # Possible values for handler are:
 # file: logs to a file. Set *.data to the file name
@@ -82,7 +79,6 @@
 # std: Logs to stdout for level >= 'message',
 # and to stderr for more severe than 'message'.
 # syslog: logs to syslog
-# outputdebugstring: uses OutputDebugString (Windows only)
 
 # If handler is 'syslog' and the OS is Linux, the facility
 # can be set with <domain>.facility. The facility value can be one of
@@ -99,30 +95,30 @@
 # Enable tools service logging to a file.
 #vmtoolsd.level = debug
 #vmtoolsd.handler = file
-#vmtoolsd.data = c:/tmp/vmtoolsd-${USER}.log
+#vmtoolsd.data = /var/log/vmware/vmtoolsd-${USER}.log
 
 # Enable 'vmsvc' service logging to a file.
 #vmsvc.level = debug
 #vmsvc.handler = file
-#vmsvc.data = c:/tmp/vmsvc.log
+#vmsvc.data = /var/log/vmware/vmsvc.log
 
 # Enable VMwareResolutionSet.exe logging to a file.
 # Comment this for Linux guest, sometimes vmusr logs are not generated due
 # to this being uncommented
 #vmresset.level = debug
 #vmresset.handler = file+
-#vmresset.data = c:/tmp/vmresset.log
+#vmresset.data = /var/log/vmware/vmresset.log
 
 # Enable new "vmusr" service logging to a file.
 #vmusr.level = debug
 #vmusr.handler = file
-#vmusr.data = c:/tmp/vmusr.${USER}.log
+#vmusr.data = /var/log/vmware/vmusr.${USER}.log
 
 # Set the following configuration if you want to collect the logs for
 # vmware-toolbox-cmd utility
 #toolboxcmd.level = debug
 #toolboxcmd.handler = file
-#toolboxcmd.data = c:/tmp/vmtoolboxcmd-${USER}.log
+#toolboxcmd.data = /var/log/vmware/vmtoolboxcmd-${USER}.log
 
 # With no explicit logging configuration for deployPkg, its default log path in
 # Linux is /var/log/vmware-imc/toolsDeployPkg.log, and in Windows is
@@ -188,18 +184,11 @@
 #poweroff-script=poweroff-vm-default
 
 # Runs when the virtual machine is resumed after it was suspended.
-# On Windows guest operating systems, if the virtual machine is configured to
-# use DHCP, the default script renews the IP address of the virtual machine.
-# On Linux, Mac OS X, Solaris, and FreeBSD guest operating systems,
-# this script starts networking for the virtual machine.
+# This script starts networking for the virtual machine.
 #resume-script=resume-vm-default
 
 # Runs when the virtual machine is being suspended.
-# On Windows guest operating systems, if the virtual machine is configured
-# to use DHCP, the default script releases the IP address of the virtual
-# machine.
-# On Linux, Mac OS X, Solaris, and FreeBSD, this script stops networking for
-# the virtual machine.
+# This script stops networking for the virtual machine.
 #suspend-script=suspend-vm-default
 
 [guestinfo]
@@ -233,8 +222,6 @@
 # Interface names can use wildcards like '*' and '?'.
 # Default for Linux and all non-Windows:
 #exclude-nics=veth*,docker*,virbr*
-# Default for Windows:
-#exclude-nics=vEthernet*
 
 # max umber of IPv4 routes to gather.
 #max-ipv4-routes=100
@@ -333,25 +320,10 @@
 # Set to true to disable the servicediscovery plugin.
 #disabled=false
 
-[unity]
-#
-# Unity is available for Windows only.
-#
-
-# Set to true to override system decisions about whether unity should be available.
-#forceEnable=false
-
-# Override the desktop background color when in Unity mode.
-#desktop.backgroundColor=
-
-# The socket type can be 'ipsocket' or 'vsocket':
-#pbrpc.socketType
-
 [resolutionKMS]
 
 # Default is true if tools finds an xf86-video-vmware driver with
 # version >= 13.2.0. If you don't have X installed, set this to true manually.
-# This only affects tools for Linux.
 #enable=true
 
 [guestosinfo]
@@ -367,16 +339,12 @@
 # enableSyncDriver is Linux only.
 #enableSyncDriver=true
 
-# enableVSS is Windows only.
-#enableVSS=true
-
 # vss.disableAppQuiescing is Windows only.
 # This setting can be used to force file system quiescing on Windows systems
 # having problems with application quiescing.
 # See https://kb.vmware.com/s/article/2146204
 #vss.disableAppQuiescing=false
 
-# Linux:
 # The value of excludedFileSystems is a comma-separated list of glob-style
 # patterns specifying the file system mount points to be excluded from
 # quiescing operation. The patterns may use '*' (wildcard) to represent
@@ -384,14 +352,6 @@
 # The characters represented by the patterns '*' and '?' may include any
 # characters, including '/'.
 #
-# Windows:
-# The value of excludedFileSystems is a comma-separated list of mount points
-# specifying the volumes to be excluded from quiesced snapshots.
-# Each mount point must be a full path separated and ended with "\\".
-# For example, to exclude volumes with drive letter 'E' or mount point
-# "F:\mount\", use:
-# excludedFileSystems=E:\\,F:\\mount\\
-# This setting is ignored when application quiescing is used.
 
 #excludedFileSystems=
 
@@ -401,11 +361,9 @@
 #
 # Scripts directory:
 # Linux: /etc/vmware-tools/backupScripts.d
-# Windows: <Install-Path>\backupScripts.d
 #
 # Legacy scripts:
 # Linux: /usr/sbin/pre-freeze-script and /usr/sbin/post-thaw-script
-# Windows: C:\windows\pre-freeze-script.bat and C:\windows\post-thaw-script.bat
 #
 # On each quiescing operation, scripts are invoked before quiescing and
 # either after a quiescing failure or after thawing.
@@ -433,22 +391,6 @@
 
 # Whether to use vgauth for guest op authentication
 #useVGAuth=true
-
-[autoupgrade]
-
-# The "allow-upgrade" option controls whether automatic upgrades (or reinstalls)
-# are allowed.
-#allow-upgrade=true
-
-# The autoupgrade plugin is only available for Windows.
-# The "allow-add-feature" and "allow-remove-feature" control whether adding
-# or removing a feature will be allowed.
-# The allow-msi-transforms option controls whether TRANSFORMS property is
-# allowed.
-
-#allow-add-feature=true
-#allow-remove-feature=true
-#allow-msi-transforms=false
 
 [deployPkg]
 
